Name: gnome-system-tools
Version: 2.22.0
Release: alt1

Summary: Cross-platform configuration utilities for GNOME
License: GPL
Group: Graphical desktop/GNOME
Url: ftp://ftp.gnome.org
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %gnome_ftp/%name/2.22/%name-%version.tar.bz2

# Patches from debian
Patch1: 40_more-groups.patch
Patch2: 50_min-max-gid.patch
Patch3: 60_save_crash.patch

Requires(post): GConf2
Requires(post,postun): desktop-file-utils
Requires: PolicyKit-gnome

BuildPreReq: rpm-build-gnome gnome-common desktop-file-utils

BuildRequires: liboobs-devel libgtk+2-devel glib2-devel libGConf-devel libdbus-devel libpolkit-devel perl-XML-Parser
BuildRequires: gnome-doc-utils GConf libgio-devel libnautilus-devel libdbus-glib-devel

%description
The GNOME System Tools are a fully integrated set of tools aimed to make easy the job that means the computer administration on an UNIX or Linux system. They're thought to help from the new Linux or UNIX user to the system administrators. 

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
#autoreconf -fisv
%configure --disable-scrollkeeper --disable-schemas-install
%make_build

%install
%make_install DESTDIR=%buildroot install
%__rm -f %buildroot%_libdir/nautilus/extensions-2.0/libnautilus-gst-shares.a
%__rm -f %buildroot%_libdir/nautilus/extensions-2.0/libnautilus-gst-shares.la

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_menus
%clean_desktopdb

%files -f %name.lang
%gconf_schemasdir/%name.schemas
%_libdir/pkgconfig/%name.pc
%_libdir/nautilus/extensions-2.0/libnautilus-gst-shares.so
%_bindir/*-admin
%_desktopdir/*.desktop
%_liconsdir/*
%_niconsdir/*
%_miconsdir/*
%_iconsdir/hicolor/22x22/apps/*
%_iconsdir/hicolor/24x24/apps/*
%_iconsdir/hicolor/48x48/devices/*
%_iconsdir/hicolor/scalable/apps/*
%_datadir/%name
%_omfdir/*-admin/*
%gnome_helpdir/*
%doc AUTHORS BUGS COPYING HACKING NEWS ChangeLog README TODO

%changelog
* Wed Sep 17 2008 Vladimir Lettiev <crux@altlinux.ru> 2.22.0-alt1
- Initial build for Sisyphus

